## zowe › endevor-bridge-for-git › mapping › create

Create a Git-Endevor mapping

#### Usage

zowe endevor-bridge-for-git mapping create [options]

#### Options

- `--remote-url` | `--url` (string)

  - Git repository remote URL

- `--connection` (string)

  - Endevor connection name.

- `--endevor-instance` | `--endevori` (string)

  - The Endevor Web Services Endevor configuration name.

- `--endevor-system` | `--endevorsys` | `--system` (string)

  - The Endevor system where your project resides.

- `--endevor-subsystem` | `--endevorsub` | `--sub` | `--subsystem` (string)

  - The Endevor subsystem where your project resides.

- `--system-alias` (string)

  - The alias of Endevor system.

- `--subsystem-alias` (string)

  - The alias of Endevor subsystem.

- `--endevor-environment` | `--endevorenv` | `--env` | `--environment` (string)

  - The Endevor environment where your project resides.

- `--branch` | `-b` (string)

  - Name of the synchronized branch in the Git repository.

    Default value: master

- `--read-only` (boolean)

  - If specified, it is necessary to use the option --endevor-stage-number. The synchronized elements will be read-only.

- `--endevor-stage-number` | `--endevorsn` (string)

  - The Endevor stage where your project resides (only for read only mappings).

- `--type-filters` (array)

  - Type filters that your mapping will be using. There can be multiple separated by a space. eg --type-filters "COBOL" "COPY".

- `--name-filters` (array)

  - Name filters that your mapping will be using. There can be multiple separated by a space. eg --name-filters "ELE*" "CO*".

- `--repository-check` (string)

  - If set to allowNonEmpty, user can proceed with initialization even if the repository is not empty.

    Default value: REQUIRE_EMPTY
    Allowed values: REQUIRE_EMPTY, ALLOW_NON_EMPTY

- `--mapping-mode` (string)

  - Mapping mode of the mapping ('FULL', 'WORK_ENV_ONLY' or 'MIRROR')

    Allowed values: FULL, WORK_ENV_ONLY, MIRROR

- `--json-file` | `--json` (local file path)

  - Mapping JSON file to import

#### Endevor options (alternatively use an 'endevor' profile)

- `--endevor-protocol` | `--endevorprot` (string)

  - The Endevor SCM Rest API protocol.

    Default value: http

    Allowed values: http, https

- `--endevor-host` | `--endevorh` (string)

  - The Endevor Rest API hostname.

- `--endevor-port` | `--endevorp` (number)

  - The Endevor Rest API port.

- `--endevor-user` | `--endevoru` (string)

  - Mainframe (Endevor) username, which can be the same as your TSO login.

- `--endevor-password` | `--endevorpass` | `--endevorpw` (string)

  - Mainframe (Endevor) password, which can be the same as your TSO password.

- `--endevor-reject-unauthorized` | `--endevorru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--endevor-base-path` | `--endevorbp` (string)

  - The Endevor SCM Rest API base path.

    Default value: EndevorService/rest

#### Endevor Bridge for Git connection options (alternatively use an 'ebg' profile)

- `--protocol` | `--prot` (string)

  - The Endevor Bridge for Git SCM protocol.

    Default value: https

    Default value: https
    Allowed values: http, https

- `--host` | `-H` (string)

  - The Endevor Bridge for Git hostname.

- `--port` | `-P` (number)

  - The Endevor Bridge for Git port.

- `--user` | `-u` (string)

  - Endevor Bridge for Git username (your git username).

- `--token` | `-t` (string)

  - Git personal access token (it can be obtained from your Git Enterprise Server).

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: false

#### Profile Options

- `--ebg-profile` | `--ebg-p` (string)

  - The name of a (ebg) profile to load for this command execution.

- `--endevor-profile` | `--endevor-p` (string)

  - The name of a (endevor) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--password` | `--pass` | `--pw` (string)

  - Password to authenticate to service on the mainframe.

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Create the Git-Endevor mapping 'MY-CONTEXT / MY-MAPPING' using the default EBG and Endevor profile:

  - `zowe endevor-bridge-for-git mapping create --remote-url https://git-server-enterprise.com/my-context/my-mapping.git --endevor-instance INSTANCE --endevor-environment ENVNAME --endevor-system SYSNAME --endevor-subsystem SUBNAME`

- Create the Git-Endevor mapping 'MY-CONTEXT / MY-MAPPING' using the default EBG and Endevor profile:

  - `zowe endevor-bridge-for-git mapping create --remote-url https://git-server-enterprise.com/my-context/my-mapping.git --connection endevor-connection-name --endevor-environment ENVNAME --endevor-system SYSNAME --endevor-subsystem SUBNAME`

- Create the read-only Git-Endevor mapping 'MY-CONTEXT / MY-MAPPING' using the default EBG and Endevor profile:

  - `zowe endevor-bridge-for-git mapping create --remote-url https://git-server-enterprise.com/my-context/my-mapping.git --endevor-instance INSTANCE --endevor-environment ENVNAME --endevor-system SYSNAME --endevor-subsystem SUBNAME --read-only --endevor-stage-number 2`

- Create the Git-Endevor mapping with importing a mapping file:

  - `zowe endevor-bridge-for-git mapping create --json-file my-mapping.json`